#include <iostream>

using namespace std;

int main()
{
    int N, K, m;
    cin >> N >> K;
    int A[N];
    for(int i = 0; i < N; i++) {
        cin >> A[i];
        if(A[i] == K) {
            m = i;
        }
    }
    if(m < N - 1) {
        cout << A[m+1];
    }else {
        cout << A[0];
    }
}